#ifdef UNDERSCORE
#define so_icpt so_icpt_
#define rintfp rintfp_
#define rintfv rintfv_
#define cintfp cintfp_
#define cintfv cintfv_
#endif


/* No. of character interface mnemonics */

#define NCIMN   1

/* No. of real single-level interface mnemonics */

#define NRSIMN  10  

/* Maximum number of data points that will be decoded */

#define MXNPTS  900

/* Total number of real interface mnemonics (single layer data +
   multi-layer data + total number of counters )  */

#define NRIMN   ( NRSIMN + ( 6 * MXNPTS ) + 1 ) 

/* Pointers to relative locations of real interface mnemonics within
   rimnem().  These pointers will be set by SO_IFSP and then used as
   indices into the real interface values array rivals(). */

extern struct {
    int irydgt ; int irmnth ; int irdays ; int irhour ; int irminu ;
    int irtiwm ; int irswcm ; int irsaid ; int irgenc ; int irsaco ;

    int irnpts ; int irslat[MXNPTS] ; int irslon[MXNPTS] ;
                 int irpres[MXNPTS] ; int irtmdb[MXNPTS] ;
                 int irwdir[MXNPTS] ; int irwdsp[MXNPTS] ;
} rintfp;

/* Real interface values */

extern struct {
    float rivals[NRIMN];
} rintfv;

/* Pointers to relative locations of character interface mnemonics
   within cimnem().  These pointers will be set by SO_IFSP and then
   used as indices into the character interface values array
   civals(). */

extern struct {
    int icsana ;
} cintfp;

/* Character interface values */

extern struct {
    char civals[NCIMN][8];
} cintfv;
